[Bug 257063] archivers/star: Do not install 'gnutar' for it is broken

From: <bugzilla-noreply_at_freebsd.org>
Date: Thu, 08 Jul 2021 23:04:20 +0000
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=257063

Robert Clausecker <fuz_at_fuz.su> changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
              Flags|maintainer-feedback?(fuz_at_fu |maintainer-feedback+
                   |z.su)                       |
                 CC|                            |gecko_at_FreeBSD.org

--- Comment #1 from Robert Clausecker <fuz_at_fuz.su> ---
(In reply to ice from comment #0)

Hi,

It is unfortunate that Firefox-esr wrongly detects star's gnutar binary as a
GNU tar.  This seems to be an error in the way the port is set up:
archivers/gtar is not given as a build dependency and yet the port looks for a
GNU tar binary.  Why is that so?  Adding the maintainer of the www/firefox-esr
port to CC.

I would like to continue providing a gnutar binary if possible as that binary
is part of the star distribution and its name does not collide with any other
command I am aware of (FreeBSD ports install GNU tar as gtar not gnutar, so
there is no collision here).  If a port wrongly picks this program over
/usr/bin/tar or gtar, the port needs to be patched to always pick the correct
tar program.  I mean we don't let ports pick random gcc binaries over ${CC}
either...

If there is no other remedy to the issue, I can however go ahead and set up an
option to make installing the gnutar binary conditional.

-- 
You are receiving this mail because:
You are on the CC list for the bug.
Received on Thu Jul 08 2021 - 23:04:20 UTC

Original text of this message